Package com.sas.lsaf.clinical.model

## Enum ModelConstants.AttributeState

- java.lang.Object
- - java.lang.Enum<ModelConstants.AttributeState>
  - - com.sas.lsaf.clinical.model.ModelConstants.AttributeState

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ModelConstants.AttributeState>`
  Enclosing class:
    ModelConstants

      public static enum ModelConstants.AttributeState
      extends java.lang.Enum<ModelConstants.AttributeState>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ACTIVE` |
    `RETIRED` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ModelConstants.AttributeState` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ModelConstants.AttributeState[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ACTIVE

          public static final ModelConstants.AttributeState ACTIVE

    - #### RETIRED

          public static final ModelConstants.AttributeState RETIRED

  - ### Method Detail

    - #### values

          public static ModelConstants.AttributeState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ModelConstants.AttributeState c : ModelConstants.AttributeState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ModelConstants.AttributeState valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null